if [namespace exists Renametag] return

#=============================================================
# ^Õl[_CAO
#=============================================================
namespace eval Renametag {
	variable result ""
	variable from   ""
	variable to     ""
}

proc Renametag::show {} {
	variable result
	variable from
	variable to
	set result ""
	
	if ![winfo exists .renametag] {
		toplevel .renametag
		set closeAction "grab release .renametag; wm withdraw .renametag"
		wm protocol .renametag WM_DELETE_WINDOW \
			"$closeAction;set Renametag::result cancel"
		ttk::frame .renametag.f -borderwidth 5
		set w .renametag.f
		label $w.info -anchor w -justify left \
		-text "u^O͂Ă"
		ttk::label $w.froml -text ""
		ttk::label $w.tol   -text "u"
		ttk::entry $w.from -width 30 -textvariable Renametag::from
		ttk::entry $w.to   -width 30 -textvariable Renametag::to
		Util::bindEditorPopCommon $w.from
		Util::bindEditorPopCommon $w.to
		
		ttk::frame $w.cmd -borderwidth 5
		ttk::button $w.cmd.ok -text OK \
			-command "$closeAction; set Renametag::result ok"
		ttk::button $w.cmd.cancel -text LZ \
			-command "$closeAction; set Renametag::result cancel"
		Util::bindMouseEvent $w.cmd.ok
		Util::bindMouseEvent $w.cmd.cancel
		pack $w.cmd.ok $w.cmd.cancel -side left -padx 2 -pady 2

		grid $w.info  -columnspan 2 -sticky ew
		grid $w.froml $w.from -sticky w
		grid $w.tol   $w.to   -sticky w
		grid $w.cmd -columnspan 2 
		pack $w

		bind $w.from    <Return> {event generate .renametag <Tab>}
		bind $w.to      <Return> {event generate .renametag <Tab>}
		bind .renametag <Escape> "$closeAction; set Renametag::result cancel"

		wm title .renametag "^O̒u"
		wm resizable .renametag 0 0
		wm withdraw .renametag
	}
	Util::moveCenter .renametag
	wm transient .renametag .
	wm deiconify .renametag
	focus -force .renametag.f.from
	.renametag.f.from selection range 0 end
	grab set .renametag
	tkwait variable Renametag::result
	return $Renametag::result
}
