if [namespace exists Cmd::File] return

namespace eval Cmd {
	namespace eval File {}
}

proc Cmd::File::buildMenu {parent} {
	set m [menu $parent.file -tearoff 0]
	$m add command -label ۑ... -command {Cmd::File::save ::doc}
	$m add command -label J... -command {Cmd::File::open ::doc}
	$m add separator
	$m add command -label I -command exit
	return $m
}

# t@C֕ۑ
proc Cmd::File::save {docName} {
	upvar $docName doc
	set file [tk_getSaveFile]
	if {$file eq ""} return
	Util::outputXML $doc $file
}
# t@CJ;TODO XML̃tH[}bg`FbN
proc Cmd::File::open {docName} {
	upvar $docName doc
	if {$doc ne "" && [Tree::length] > 0} {
		set r [tk_messageBox -type okcancel \
		-message "܊JĂ̂ĐVKɊJĂłH"]
		if {$r eq "cancel"} return
		$doc delete
	}
	set file [tk_getOpenFile]
	if {$file eq ""} return

	set doc ""

	set doc [Util::inputXML $file]
	dputs [$doc asXML]
	Tree::rebuild $doc
}
