if [namespace exists Login] return

#=============================================================
# OC_CAO
#=============================================================
namespace eval Login {
	variable result cancel;#cancel or ok
	variable user ""
	variable pass ""
}
proc Login::show {} {
	variable result
	set result "cancel"
	if ![winfo exists .login] {
		toplevel .login
		set cancelAction "grab release .login; wm withdraw .login"
		wm protocol .login WM_DELETE_WINDOW \
			"$cancelAction;set Login::result cancel"

		ttk::frame .login.f -borderwidth 5
		ttk::label .login.f.userl -text AJEg
		ttk::label .login.f.passl -text pX[h
		ttk::entry .login.f.user -textvariable Login::user
		ttk::entry .login.f.pass -textvariable Login::pass -show * 
		ttk::separator .login.f.sep
		ttk::button .login.f.ok -text OK \
			-command "$cancelAction; set Login::result ok"
		Util::bindMouseEvent .login.f.ok
		Util::bindEditorPopCommon .login.f.user
		Util::bindEditorPopCommon .login.f.pass
		grid .login.f.userl .login.f.user -sticky ew
		grid .login.f.passl .login.f.pass -sticky ew
		grid .login.f.sep -columnspan 2 -pady 5 -sticky ew 
		grid .login.f.ok  -columnspan 2
		grid columnconfigure .login.f 1 -weight 1
		grid rowconfigure .login.f 3 -weight 1
		grid .login.f -sticky news
		grid rowconfigure .login 1 -weight 1
		wm resizable .login 0 0
		wm withdraw .login
		bind .login.f.user <Return> {event generate .login <Tab>}
		bind .login.f.pass <Return> {event generate .login <Tab>}
		bind .login <Escape> "$cancelAction;set Login::result cancel"
	} 
	Util::moveCenter .login
	wm transient .login .
	wm deiconify .login
	focus -force .login.f.user
	grab set .login
	tkwait variable Login::result
	if {$Login::result eq "ok"} {
		return [list $Login::user $Login::pass]
	}
	return {}
}
